Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231307 - missing /usr/bin/gjnih
Summary: missing /usr/bin/gjnih
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 194280
TreeView+ depends on / blocked
 
Reported: 2007-03-07 16:36 UTC by Kevin Fenzi
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 12:28:45 UTC


Attachments (Terms of Use)

Description Kevin Fenzi 2007-03-07 16:36:31 UTC
Description of problem:

Try and compile something like the kdebindings package
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=194280

The compile fails because gcc-java doesn't contain a /usr/bin/gjnih

# ls -la /etc/alternatives/javah /usr/lib/jvm/java-1.4.2-gcj/bin/javah
/usr/bin/gjnih
ls: cannot access /usr/bin/gjnih: No such file or directory
lrwxrwxrwx 1 root root 37 2007-03-06 21:27 /etc/alternatives/javah ->
/usr/lib/jvm/java-1.4.2-gcj/bin/javah
lrwxrwxrwx 1 root root 14 2007-03-06 21:27 /usr/lib/jvm/java-1.4.2-gcj/bin/javah
-> /usr/bin/gjnih

This is version 4.1.2-3 from devel. 
version 4.1.1-53 seems to be fine.

Comment 1 Tom Tromey 2007-03-08 19:08:36 UTC
Note that for F7 the new 'gjavah' tool should probably be used.
Upstream gcj doesn't build gjnih any more.


Comment 2 Jakub Jelinek 2007-03-11 16:16:38 UTC
The alternatives are owned by java-1.4.2-gcj.

Comment 3 Thomas Fitzsimmons 2007-03-11 16:28:40 UTC
As a temporary workaround you can do:

ln -sf ../../../../bin/gjavah /usr/lib/jvm/java-1.5.0-gcj/bin/javah

This is fixed by java-1.5.0-gcj:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=228960

which is undergoing review.


Comment 4 Thomas Fitzsimmons 2007-03-11 16:29:39 UTC
I meant:

ln -sf ../../../../bin/gjavah /usr/lib/jvm/java-1.4.2-gcj/bin/javah


Comment 5 Rex Dieter 2007-03-11 16:34:45 UTC
So what pkg is going to own  /usr/lib/jvm/java-1.4.2-gcj/bin/javah in F7? 
java-1.5.0-gcj (or is there going to be a java-1.4.2-gcj too)?

Comment 6 Thomas Fitzsimmons 2007-03-11 16:39:04 UTC
java-1.5.0-gcj will obsolete java-1.4.2-gcj-compat and will provide
/usr/lib/jvm/java-1.5.0-gcj/bin/javah.  Initial builds of java-1.5.0-gcj will
include a compatibility symlink from /usr/lib/jvm/java-1.4.2-gcj-1.4.2.0 to
/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0 until libgcj is rebuilt with
java.home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0.


Comment 7 Thomas Fitzsimmons 2007-03-19 12:28:45 UTC
java-1.5.0-gcj has hit Rawhide.  Please upgrade to it:

yum install java-1.5.0-gcj{,-devel,-src,-javadoc}



Note You need to log in before you can comment on or make changes to this bug.